Name:           hda-app-photosorter
Version: 0.12
Release:        2

Summary:        Slideshow is a HomeHDA server app to display pictures.

Group:          System Environment/Daemons
License:        GPL
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: hdactl hda-platform php-xml

%define debug_package %{nil}

%description
hda-app-photosorter is a HomeHDA server app to
display pictures from various locations on the web.

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

# platform server initialitation
mkdir -p $RPM_BUILD_ROOT/var/hda/apps/photosorter/html
mkdir -p $RPM_BUILD_ROOT/var/hda/apps/photosorter/logs
rsync -Ca photosorter/ $RPM_BUILD_ROOT/var/hda/apps/photosorter/html
rsync -Ca 07-photosorter.conf $RPM_BUILD_ROOT/var/hda/apps/photosorter

mkdir -p $RPM_BUILD_ROOT/var/hda/platform/apps/photosorter
rsync -a app/ $RPM_BUILD_ROOT/var/hda/platform/apps/photosorter/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd /var/hda/platform/apps/photosorter/ && sh ./app-register)
/usr/bin/hda-install-file /var/hda/apps/photosorter/07-photosorter.conf %{_sysconfdir}/httpd/conf.d/07-photosorter.conf
/bin/rm -f /var/hda/apps/photosorter/07-photosorter.conf
/usr/bin/hda-alias add photosorter
/sbin/service httpd reload &> /dev/null

%preun
if [ "$1" = 0 ]; then
	# not an install/upgrade (i.e. uninstall)
	/usr/bin/hda-alias rm photosorter
	/bin/rm -f %{_sysconfdir}/httpd/conf.d/07-photosorter.conf
	/sbin/service httpd reload &> /dev/null
fi

%files
%defattr(-,root,root,-)
%attr(-, apache, apache) /var/hda/platform/apps/photosorter/*
%attr(-, apache, apache) /var/hda/apps/photosorter/*


%changelog
* Sun Mar 11 2007 Carlos Puchol
- initial version
